function _array_like_to_array(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_with_holes(arr) {
    if (Array.isArray(arr)) return arr;
}
function _define_property(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _iterable_to_array_limit(arr, i) {
    var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];
    if (_i == null) return;
    var _arr = [];
    var _n = true;
    var _d = false;
    var _s, _e;
    try {
        for(_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true){
            _arr.push(_s.value);
            if (i && _arr.length === i) break;
        }
    } catch (err) {
        _d = true;
        _e = err;
    } finally{
        try {
            if (!_n && _i["return"] != null) _i["return"]();
        } finally{
            if (_d) throw _e;
        }
    }
    return _arr;
}
function _non_iterable_rest() {
    throw new TypeError("Invalid attempt to destructure non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _sliced_to_array(arr, i) {
    return _array_with_holes(arr) || _iterable_to_array_limit(arr, i) || _unsupported_iterable_to_array(arr, i) || _non_iterable_rest();
}
function _unsupported_iterable_to_array(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array(o, minLen);
}
import { Keyframes } from "@ant-design/cssinjs";
import { genStyleHooks } from "../../Hooks/useStyle";
var fadeInUp = new Keyframes('fadeInUp', {
    from: {
        opacity: 0,
        transform: 'translateY(8px)'
    },
    to: {
        opacity: 1,
        transform: 'translateY(0)'
    }
});
var genStyle = function genStyle(token) {
    var componentCls = token.componentCls;
    var _obj, _obj1, _obj2, _obj3;
    return _define_property({}, componentCls, {
        '&-suggestion': (_obj1 = {
            '&:hover': {
                borderRadius: 'var(--radius-control-base)',
                background: 'var(--color-gray-control-fill-hover)'
            }
        }, _define_property(_obj1, "".concat(componentCls, "-suggestion-content"), (_obj = {
            display: 'flex',
            alignItems: 'center',
            gap: '4px',
            width: '100%',
            overflow: 'hidden'
        }, _define_property(_obj, "".concat(componentCls, "-suggestion-icon"), {
            display: 'flex',
            alignItems: 'center',
            justifyContent: 'center',
            width: '24px',
            height: '24px',
            padding: 'var(--padding-1x)',
            borderRadius: '200px',
            border: '1px solid var(--color-gray-border-dark)',
            color: 'var(--color-gray-text-secondary)'
        }), _define_property(_obj, "".concat(componentCls, "-suggestion-text"), {
            overflow: 'hidden',
            textOverflow: 'ellipsis',
            whiteSpace: 'nowrap',
            font: 'var(--font-text-body-sm)',
            letterSpacing: 'var(--letter-spacing-body-sm, normal)',
            color: 'var(--color-gray-text-secondary)'
        }), _obj)), _define_property(_obj1, "".concat(token.antCls, "-tag"), {
            marginInlineEnd: '0'
        }), _obj1),
        '&-header': (_obj2 = {
            display: 'flex',
            alignItems: 'center',
            justifyContent: 'space-between',
            height: '48px',
            width: 'calc(100% - 20px)',
            padding: '8px',
            margin: '4px'
        }, _define_property(_obj2, "".concat(token.antCls, "-tag"), {
            marginInlineEnd: '0'
        }), _define_property(_obj2, "".concat(componentCls, "-header-left"), _define_property({
            display: 'flex',
            alignItems: 'center',
            gap: '4px',
            overflow: 'hidden',
            flex: 1,
            minWidth: 0
        }, "".concat(componentCls, "-header-title"), {
            flex: 1,
            minWidth: 0,
            marginRight: '4px',
            fontWeight: 500,
            fontSize: '14px',
            overflow: 'hidden',
            textOverflow: 'ellipsis',
            whiteSpace: 'nowrap',
            color: 'var(--color-gray-text-default)'
        })), _obj2),
        '&-header-wrapper': {
            marginLeft: '-12px',
            marginRight: '-12px'
        },
        '&-result-item': (_obj3 = {
            width: '100%',
            overflow: 'hidden',
            padding: '4px',
            animationName: fadeInUp,
            animationDuration: '0.3s',
            animationTimingFunction: 'ease-out',
            animationFillMode: 'both',
            '&:hover': {
                borderRadius: '12px',
                background: 'var(--color-gray-control-fill-hover)'
            }
        }, _define_property(_obj3, "".concat(componentCls, "-result-item-title"), {
            fontSize: '12px',
            color: 'var(--color-gray-text-default)',
            display: 'block',
            maxWidth: '100%',
            overflow: 'hidden',
            textOverflow: 'ellipsis',
            whiteSpace: 'nowrap'
        }), _define_property(_obj3, "".concat(componentCls, "-result-item-title-wrapper"), {
            overflow: 'hidden',
            textOverflow: 'ellipsis',
            whiteSpace: 'nowrap',
            fontSize: '14px',
            color: 'var(--color-gray-text-default)'
        }), _define_property(_obj3, "".concat(componentCls, "-result-item-site-text"), {
            font: 'var(--font-text-paragraph-sm)',
            letterSpacing: 'var(--letter-spacing-paragraph-sm, normal)',
            color: 'var(--color-gray-text-light)'
        }), _define_property(_obj3, "".concat(componentCls, "-result-item-site"), {
            display: 'flex',
            alignItems: 'center',
            gap: '4px',
            overflow: 'hidden',
            textOverflow: 'ellipsis',
            whiteSpace: 'nowrap',
            fontSize: '12px',
            cursor: 'pointer'
        }), _obj3)
    });
};
var useGenStyle = genStyleHooks('WorkspaceBrowser', genStyle);
export function useBrowserStyle(prefixCls) {
    var _useGenStyle = _sliced_to_array(useGenStyle(prefixCls !== null && prefixCls !== void 0 ? prefixCls : 'WorkspaceBrowser'), 2), wrapSSR = _useGenStyle[0], hashId = _useGenStyle[1];
    return {
        wrapSSR: wrapSSR,
        hashId: hashId
    };
}
